Package: grails.rest.render

## [Groovy] Interface Renderer<T>

- grails.web.mime.MimeTypeProvider

- All Superinterfaces:
    MimeTypeProvider

      interface Renderer<T>
      extends MimeTypeProvider

  Interface for class that render RESTful responses to implement

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.lang.Class<T>` | `getTargetType()` Returns: The target type
    `` | `abstract void` | `render(T object, RenderContext context)` Renders the object

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface MimeTypeProvider` | `getMimeTypes`

- - ### Method Detail

    - #### abstract java.lang.Class<T> getTargetType()

      Returns:
        The target type

    - #### abstract void render(T object, RenderContext context)

      Renders the object

      Parameters:
        `object` - The object to render
        `context` - The RenderContext
      Returns:
        Optional return value, those to that directly write typically return null